petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESLineSearchSetFunction

Sets the function evaluation used by the SNES line search

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchSetFunction(SNESLineSearch linesearch, PetscErrorCode (*func)(SNES,Vec,Vec))

### Input Parameters

linesearch -the SNESLineSearch context Many br+ func - function evaluation routine Many br

Many br

Notes: This is used internally by PETSc and not called by users Many br

### Keywords

get, linesearch, pre-check

### See Also

SNESSetFunction()

Level:developer
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages